Bug 804523 - Stable guest ABI fails on 6.3 host with -M 5.x.x
Stable guest ABI fails on 6.3 host with -M 5.x.x
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 03:22 EDT by Shaolong Hu
Modified: 2013-01-09 19:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 03:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shaolong Hu 2012-03-19 03:22:32 EDT
Description of problem:
------------------------
Run windows guest installed on 5.8 host with -M 5.x.x, windows needs re-activate.


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
6.3 host: qemu-kvm-0.12.1.2-2.246.el6.x86_64
5.8 host: kvm-83-249.el5_8
guest: en_windows_7_ultimate_with_sp1_x64_dvd_618240.iso

How reproducible:
------------------
100%

Steps to Reproduce:
-------------------
1.5.8 host:
/usr/libexec/qemu-kvm -name vm1 -monitor unix:/tmp/monitor-humanmonitor,server,nowait -serial unix:/tmp/serial,server,nowait -drive file=win7-5.4.4,index=0,if=virtio,media=disk,cache=none,boot=on,format=qcow2 -net nic,vlan=0,model=virtio,macaddr=9a:7a:70:0b:81:2b -net tap,vlan=0,ifname=net0,script=/etc/qemu-ifup -m 4G -smp 4 -vnc :10 -rtc-td-hack -M rhel5.4.4 -boot dc -balloon virtio -no-kvm-pit-reinjection -usbdevice tablet -fda /usr/share/virtio-win/virtio-drivers-1.0.3-52454.vfd -cdrom en_windows_7_ultimate_with_sp1_x64_dvd_618240.iso -monitor stdio

2.6.3 host:
/usr/libexec/qemu-kvm -enable-kvm -M rhel5.4.4 -smp 4 -m 4G -name rhel6.3-64 -uuid 3f2ea5cd-3d29-48ff-aab2-23df1b6ae213 -drive file=win7-5.4.4,cache=none,if=none,rerror=stop,werror=stop,id=drive-virtio-disk0,format=qcow2 -device virtio-blk-pci,drive=drive-virtio-disk0,id=device-virtio-disk0 -netdev tap,script=/etc/qemu-ifup,id=netdev0,vhost=off -device virtio-net-pci,netdev=netdev0,id=device-net0 -boot order=cd -monitor stdio -usb -device usb-tablet,id=input0 -chardev socket,id=s1,path=/tmp/s1,server,nowait -device isa-serial,chardev=s1 -vnc :10 -monitor tcp::1234,server,nowait

  
Actual results:


Expected results:


Additional info:
Comment 2 Dor Laor 2012-03-21 03:59:37 EDT
I have a doubt that someone is using rhel5 machine types on thel6 hosts. The
bios is different anyway and some of the devices.

Specifically, there is not virtio-serial device on rhel5 at all so it can't
expect to work. You can remove -M rhel5 from the rhel6 tests, at least until we get requests for that.

Another issue is the pci slots, you need to manually specify all of them to match the rhel5 slots. When you run w/ libvirt it does it automatically when -M rhel5 is added.

Note You need to log in before you can comment on or make changes to this bug.